wxRuby Documentation Home

# Wx::WindowDisabler

This class disables all windows of the application temporarily while
some code is executed. This comes in handy when you want to indicate to
the user that the application is currently busy and cannot respond to
user input. Optionally, one window may be excepted and not disabled.

To use this, call the class method disable and
pass it a block:

Wx::WindowDisabler.disable do

1. do some lengthy operation
2. …
   end

## Derived from

None

## See also

BusyCursor, BusyInfo

## Class methods

- WindowDisabler.disable

### WindowDisabler.disable

WindowDisabler.disable(%(arg-type)Window% winToSkip = nil) { … }

Disables all top level windows of the applications with the exception of
winToSkip if it is not `nil`. The passed block is then executed, and
when it is completed, all windows are re-enabled.

[This page automatically generated from the Textile source at 2023-06-09 00:45:36 +0000]